/***(데이터 Merge 5)개인용 자료와 부가조사 자료 Merge***/

/**(예제) 22차 개인용 자료와 11차 교육부가조사 자료 merge**/ 

clear 
cd "C:\klips\Stata"

use klips11a, replace

// a116257: 고2 때 수면시간

keep pid a116257 

sort pid
merge pid using klips22p, unique sort

/**merge 결과 확인**/ 

// _merge = 1: 해당 차수에 개인자료에 응답하지 않아 merge 실패한 개수 
// _merge = 2: 부가조사 자료에 응답하지 않아 merge 실패한 개수
// _merge = 3: 개인자료와 부가조사 자료 merge 성공
tab _merge  

tab a116257

save "D:\klips\Stata\data\exaple.dta", replace 